Bug 476815 - inksmoto doesn't work, raises exception in F-9
inksmoto doesn't work, raises exception in F-9
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: inksmoto (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 05:15 EST by Conrad Meyer
Modified: 2008-12-30 18:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-30 18:44:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-12-17 05:15:23 EST
Description of problem:
Inksmoto is somehow broken in F-9.


Version-Release number of selected component (if applicable):
inksmoto-0.4.1-2.fc9.noarch


How reproducible:
Always.


Steps to Reproduce:
1. follows steps in http://wiki.xmoto.tuxfamily.org/index.php?title=Inkscape-0.4.0
2.
3.
  
Actual results:
Traceback window from applying "Change Block Type" among other things.


Expected results:
Works.


Additional info:
Comment 1 Gwyn Ciesla 2008-12-17 10:11:57 EST
Odd, does the same for me on F-10.  Contacting upstream.
Comment 2 Gwyn Ciesla 2008-12-17 14:02:49 EST
Upstream bug:
http://todo.xmoto.tuxfamily.org/index.php?do=details&task_id=525
Comment 3 theonlydude 2008-12-17 17:45:55 EST
hye, i'm the inksmoto author.

the python xml library used by inkscape extensions changed in 0.46, and is not 100% compatible with the one in inkscape 0.45. That's why inksmoto 0.4.1 doesn't work with inkscape 0.46. (the new one is lxml, the old one was python-xml).

but inksmoto 0.4.1 wasn't done as beeing packageable in distributions (because getting new textures from the internet update the .inx files of inksmoto, so it has to be installed in ~/.inkscape/extensions in order to be able to update the list of available textures)

the next version 0.5.0 has been made with it in mind (i'm planning on releasing a 0.5.0~rc1 today or tomorrow)
Comment 4 Conrad Meyer 2008-12-17 17:58:29 EST
Thanks, sounds like I can expect a 0.5.0 in updates-testing or rawhide pretty soon Jon?
Comment 5 Gwyn Ciesla 2008-12-18 08:08:29 EST
As soon as it's out.  :)
Comment 6 Gwyn Ciesla 2008-12-18 08:09:18 EST
Which I see that it now is.  I'll get right on it.
Comment 7 Fedora Update System 2008-12-18 10:48:43 EST
inksmoto-0.5.0-1.rc1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/inksmoto-0.5.0-1.rc1.fc9
Comment 8 Fedora Update System 2008-12-18 10:48:45 EST
inksmoto-0.5.0-1.rc1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/inksmoto-0.5.0-1.rc1.fc10
Comment 9 Fedora Update System 2008-12-18 10:48:48 EST
inksmoto-0.5.0-1.rc1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/inksmoto-0.5.0-1.rc1.fc8
Comment 10 theonlydude 2008-12-18 14:29:21 EST
hye,

i've looked at the generated rpm and it seems that you didn't include the two directories:
xmoto_bitmap
xmoto_install

xmoto_bitmap contains the bitmaps used for displaying the xmoto sprites/textures in inkscape
xmoto_install contains the inksmoto specifics shortcuts.

you should really include them.

for informations the script used to create the inksmoto .deb file:
http://svn.tuxfamily.org/viewvc.cgi/xmoto_svg2lvl/tags/inksmoto_0.5.0~rc1/packaging/deb/create_package.sh?revision=266&view=markup
Comment 11 Gwyn Ciesla 2008-12-18 14:56:29 EST
I've done that, and I'm getting Missing Image in Change Block Texture.  Do I need to patch this to pick up the proper paths?
Comment 12 theonlydude 2008-12-18 16:22:23 EST
you mean that you did a rpm with those two directories included and that after installing it you got 'Missing Image' in Change Block Texture ?

with the rpms inksmoto-0.5.0-1.rc1.fc[8,9,10] that's normal that it doesn't display the bitmap as they are not packaged in it.
Comment 13 Gwyn Ciesla 2008-12-18 16:29:02 EST
Correct, I did a 0.5.0-2.rc1.fc10 locally, and that's what I see.  I would expect the images to show up.
Comment 14 theonlydude 2008-12-18 16:59:01 EST
ok.

i'll install a fc10 to test it.

could you please upload the 0.5.0-2.rc1.fc10 rpm somewhere so i can get it.
Comment 16 theonlydude 2008-12-19 12:10:27 EST
i've found the problem with the 0.5.0-2 rpm.

the two directories xmoto_bitmaps and xmoto_install have wrong permissions.
they both have 644, and as directories, they need 755
Comment 17 Gwyn Ciesla 2008-12-19 12:34:43 EST
Ah. Duh. Thanks. :) Built, tested, it's fixed, building in koji.
Comment 18 Fedora Update System 2008-12-21 03:21:10 EST
inksmoto-0.5.0-2.rc1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update inksmoto'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11461
Comment 19 Fedora Update System 2008-12-21 03:35:03 EST
inksmoto-0.5.0-2.rc1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update inksmoto'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-11494
Comment 20 Fedora Update System 2008-12-21 03:35:11 EST
inksmoto-0.5.0-2.rc1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update inksmoto'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11541
Comment 21 Fedora Update System 2008-12-30 18:44:45 EST
inksmoto-0.5.0-2.rc1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2008-12-30 18:52:04 EST
inksmoto-0.5.0-2.rc1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2008-12-30 18:54:29 EST
inksmoto-0.5.0-2.rc1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.